TULISAN - Feature #3714

Perubahan Tampilan CRM
07/07/2025 05:39 PM - haykal haykal

Status: Assigned Start date: 07/07/2025
Priority: Urgent Due date: 07/10/2025
Assignee: mabhlil .. % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Developer,

Ingin ada perubahan CRM secara tampilan. Jadi sebelumnya satu foto (satu Product Name) [Contoh: Foto 1 yang saya beri kotak
merah] bisa memuat banyak Material ID yang dispecify setelah user memilih Edition, Size, dan Color.

Sekarang tidak ingin seperti itu lagi. Inginnya 1 foto adalah 1 MateriallD (1 SKU), dan user tidak perlu memilih lagi Edition, Size,
Color untk menspecify MateriallD yang ingin dipilih.

Pada development sebelumnya Shofwan telah menambahkan field ProductCode sebagai identifier dari masing-masing kotak/foto.
Jadi karena dulu 1 Product Name bisa 5 MateriallD misalnya, jadi diperlukan field ProductCode ini sebagai identifier dari
masing-masing kotak/foto. Untuk contoh data sudah saya sesuaikan dengan mengisikan ProductCode secara unique sesuai
dengan MateriallD.

(Note: Karena perubahan ini, field ProductCode sebenarnya tidak diperlukan lagi; karena identifier tiap kotak bisa menggunakan
MateriallD. Tapi terserah developer apakah tetap mau mempergunakan field ini atau tidak)

Jadi task yang perlu dikerjakan adalah:

-Mendevelop tampilan CRM seperti yang sudah saya jelaskan diatas

-Untk field Edition, Size, dan Color tetap biarkan ada saja. Tapi user tidak perlu memilih lagi (read only)

-Setelah user mengeklik salah satu kotak/foto, selain Edition, Size, Color, tlg tampilkan Model dan Artwork juga. Urutannya adalah
(dari atas ke bawah) Model, Artwork, Edition, Color, Size (dengan tampilan seperti yang saya beri kotak merah pada Foto 2)
[Mengambil dari field ModelDesc, ArtworkDesc, EditionDesc, ColorDesc, SizeDesc]

-Menambahkan SKU: (mengambil dari field ExternallD) di yang saya beri panah biru di Foto 2 (dibawah Product Name)

Untuk contoh data yang bisa dipakai untk development ini dan sudah lengkap pengisiannya bisa dilihat pada MateriallD 00000048
dst di tabel PMDMATO0001.

Tabel Material Master Data: PMDMATO0001
Web CRM: https://tulisan-ecommerce-dev.minovais.com/ECommerce_Login

Port: https://tulisan-dev.minovais.com/
DB: MinovaES_Tulisan_Dev (103.153.60.89)

Terimakasih.

History

#1 - 07/07/2025 05:41 PM - haykal haykal

- Description updated

#2 - 07/07/2025 05:49 PM - Kezia Pawitra Yulianti

- Due date set to 07/10/2025

- Status changed from New to Assigned

- Assignee changed from Kezia Pawitra Yulianti to mahlil ..

- Priority changed from Normal to Urgent
